Loading...
Searching...
No Matches
BALL::NMRStarFile::Sample::Component Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| Component ()
void | clear ()
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | label
float | concentration_value
String | value_unit
float | concentration_min
float | concentration_max
String | isotopic_labeling

## Detailed Description

Component. This class includes all information of a sample component. All members are public for easy access.

Definition at line 166 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## Component()

BALL::NMRStarFile::Sample::Component::Component | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::Sample::Component::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::Sample::Component::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## concentration_max

float BALL::NMRStarFile::Sample::Component::concentration_max

Definition at line 176 of file NMRStarFile.h.

## concentration_min

float BALL::NMRStarFile::Sample::Component::concentration_min

Definition at line 175 of file NMRStarFile.h.

## concentration_value

float BALL::NMRStarFile::Sample::Component::concentration_value

Definition at line 173 of file NMRStarFile.h.

## isotopic_labeling

String BALL::NMRStarFile::Sample::Component::isotopic_labeling

Definition at line 177 of file NMRStarFile.h.

## label

String BALL::NMRStarFile::Sample::Component::label

Definition at line 172 of file NMRStarFile.h.

## value_unit

String BALL::NMRStarFile::Sample::Component::value_unit

Definition at line 174 of file NMRStarFile.h.